class CalendarConfigsController < ApplicationController
  model_data_store(CalendarConfig, {read: true, update: true, index: true}, {read: false, update: true})

  private

  def set_target
    @model = CalendarConfig.instance
  end

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:calendar_config).permit(:start, :end, :weekend)
  end
end
